{% extends "base.html" %}
{% block static %}
  {% load static %}
  <link rel="stylesheet" type="text/css" href="{% static 'style/dashboard.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'style/app.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'style/group.css' %}">
{% endblock %}
{% block title %}Dashboard{% endblock %}
{% block content %}

  <main>
    <!-- General configurations made by admin -->
    <input id="reserved-app-names" type="hidden" value="{{ general_config.reserved_app_names }}">

    <div id="received-transfer-requests-container">
      {% for transfer_request in received_transfer_requests %}
        <div class="alert alert-info w-100" role="alert">
          <i class="fa-solid fa-circle-info me-1"></i>
          <strong>{{ transfer_request.app.owner.username }}</strong> has requested to transfer the ownership of the app <strong>{{ transfer_request.app.descriptive_name }}</strong> to you.
          You still have {{ transfer_request.days_left }} days to accept or decline the request.
          <div class="mt-1">
            <a href="{% url 'access:accept_ownership_transfer_request' app_id=transfer_request.app.identifier %}" class="btn btn-primary btn-sm mt-2 transfer-ownership-accept-btn">Accept</a>
            <a href="{% url 'access:decline_ownership_transfer_request' app_id=transfer_request.app.identifier %}" class="btn btn-danger btn-sm mt-2 transfer-ownership-decline-btn">Decline</a>
          </div>
        </div>
      {% endfor %}
    </div>

    <div class="app-modal" id="apps-table">
      <div class="app-modal-header bg-dark d-flex flex-row justify-content-between"><span>Your applications</span><span><i class="fa-solid fa-plus fw-light icon-btn-light app-create-btn"></i></span></div>
      <div class="app-modal-body">
        <div class="card my-2 app-create-form">
          <div class="card-body">
            {% include 'forms/config_app.html' %}
          </div>
        </div>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">Application</th>
              <th scope="col">State</th>
              <th scope="col">URL</th>
              <th scope="col">Role</th>
              <th scope="col">Last updated</th>
            </tr>
          </thead>
          <tbody>
            {% if owned_applications or editor_applications or viewer_applications %}
                        <!-- Display all apps that this user owns -->
              {% for application in owned_applications %}
                {% with role='owner' %}
                  {% include 'normal_users/dashboard/app_tr.html' %}
                {% endwith %}
              {% endfor %}

                        <!-- Display all apps that this user is an editor of -->
              {% for application in editor_applications %}
                {% with role='editor' %}
                  {% include 'normal_users/dashboard/app_tr.html' %}
                {% endwith %}
              {% endfor %}

                        <!-- Display all apps that this user is a viewer of -->
              {% for application in viewer_applications %}
                {% with role='viewer' %}
                  {% include 'normal_users/dashboard/app_tr.html' %}
                {% endwith %}
              {% endfor %}
            {% else %}
              <tr>
                <td colspan="5" class="text-center">No application found. Please create one by clicking on the "+" button.</td>
              </tr>
            {% endif %}
          </tbody>
        </table>
      </div>
    </div>
  </main>

{% endblock %}
{% block script %}
  {% load static %}
  <script src="{% static 'js/dashboard.js' %}" type="module"></script>
{% endblock %}
